unit EN92gpLibary;
{ Interface unit for EN92gp.DLL }
// The entry points are  C A S E   S E N S I T I V E

interface

// function IoGetADCVal(portname: Byte; Chan: Byte): Byte; stdcall;
// function IoGetPWMVal(portname: Byte; Chan: Byte): Byte; stdCall;

// function getVer: String; stdcall;
// function getReady: String; stdcall;
// function getVer: String; cdecl;
// function getReady: String; cdecl;

function Add(a: double; b: double): double; cdecl;
function AddMultiply(a: double; b: double): double; cdecl;

implementation

// function getVer; external 'CBECA.dll' index 1;
// function getReady; external 'CBECA.dll' index 2;

// function getVer; external 'CBECA.dll' name 'getVersion';
// function getReady; external 'CBECA.dll' name 'getReady'  ;

// function Add; external 'MathLibrary.dll' name 'Add'  ;
function Add; external 'MathLibrary.dll' index 1;

function AddMultiply: external 'MathLibrary.dll' index 2;

end.
